/*
 * Copyright (C) 2017 Ole Reglitzki
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General
 * Public License as published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with this program. If not, see
 * <http://www.gnu.org/licenses/>.
 */

@import "../variables.scss";

#main-left {
  font-size: 0.85rem;
  word-wrap: break-word;
  word-break: break-word; // if supported by the browser (WebKit)
  word-break: break-all;

  ol.categories, ol.pages {
    list-style: none;
    margin: 0;
    padding: 0 0 0 $nav-indent;
  }

  .category {
    margin-bottom: 10px;
    min-width: 100px;

    > .children {
      margin-left: 4px;
      margin-top: 4px;
      border-left: 1px solid fade_in($nav-bg, .1);
      padding-left: 5px;
    }
  }

  a {
    text-decoration: none;
    display: block;
    color: inherit;
  }

  .active {
    color: $body-fg;
    margin-left: -10px;

    &:before {
      content: "";
      display: inline-block;
      width: 0;
      height: 0;
      border-top: 5px solid transparent;
      border-bottom: 5px solid transparent;
      border-left: 5px solid $body-fg;
      margin-right: 5px;
    }
  }

  .category {
    color: fade_out($nav-fg-category, .25);

    > .title > a {
      &:hover, &:active, &:focus {
        color: mix($nav-fg-category, $body-fg, 85%);
      }
    }
  }

  .page {
    color: fade_out($nav-fg-page, .25);

    > .title > a {
      &:hover, &:active, &:focus {
        color: mix($nav-fg-page, $body-fg, 85%);
      }
    }
  }
}